/////////////////////////////////////////////////////////////////////////////
// Name:        device_DS18B20.h
// Purpose:     1-wire thermometer
// Package:     ASIX FORTE programmer demo software
//              distributed as-is, without any warranties
// Author:      http://www.asix.net/
// Created:     2016
/////////////////////////////////////////////////////////////////////////////

#ifndef _DEVICEDS18B20_H
#define _DEVICEDS18B20_H

// ----------------------------------------------------------------------------
// headers
// ----------------------------------------------------------------------------

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

// for all others, include the necessary headers (this file is usually all you
// need because it includes almost all "standard" wxWidgets headers)
#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

// header files
#include "device.h"

// ----------------------------------------------------------------------------
// class Device25P80
// ----------------------------------------------------------------------------

class DeviceDS18B20: public Device
{
public:
    // Constructor and destructor
    DeviceDS18B20();
    //variables
    //
    // functions
    virtual wxString GetName();
    virtual wxString GetShortHint();
    virtual wxString GetLongHint();
    virtual int GetMemoriesCount();
    virtual void RegisterActions();
    //
    void Read();
private:
    //
};

#endif /* _DEVICEDS18B20_H*/
